import Panel from "../MViews/MPanel";
import { HtmlTextParser } from "../../../libs/tc/util/HtmlTextParser";
import MButton from "../MUI/MButton";
import Net from "../Global/Net";
import { MConfigs } from "../Global/MConfigs";

export default class RulePanel extends Panel {
    get skinKey() { return "RulePanel" }
    public text: eui.Label;
    public btnClose: MButton;

    onSkinComplete() {
        super.onSkinComplete();
        this.text.textFlow = new HtmlTextParser().parse(MConfigs.rule);
        this.btnClose.onTap(this, () => this.hidePanel());
    }
}
